summaryrefslogtreecommitdiffstats
path: root/gis/libspatialindex
diff options
context:
space:
mode:
Diffstat (limited to 'gis/libspatialindex')
-rw-r--r--gis/libspatialindex/README6
-rw-r--r--gis/libspatialindex/libspatialindex.SlackBuild98
-rw-r--r--gis/libspatialindex/libspatialindex.info10
-rw-r--r--gis/libspatialindex/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/gis/libspatialindex/README b/gis/libspatialindex/README
new file mode 100644
index 0000000000..f5c891e73a
--- /dev/null
+++ b/gis/libspatialindex/README
@@ -0,0 +1,6 @@
+libspatialindex provides an extensible framework that support robust spatial
+indexing methods and sophisticated spatial queries. Main features are:
+generic main memory and disk based storage managers, R*-tree index (also
+supports linear and quadratic splitting), MVR-tree index (a.k.a. PPR-tree),
+TPR-tree index, advanced query capabilities, using Strategy and Visitor
+patterns, STR packing / bulk loading etc.
diff --git a/gis/libspatialindex/libspatialindex.SlackBuild b/gis/libspatialindex/libspatialindex.SlackBuild
new file mode 100644
index 0000000000..57e7b4f4b7
--- /dev/null
+++ b/gis/libspatialindex/libspatialindex.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for libspatialindex
+# Copyright 2012 Alexander Bruy <alexander.bruy@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libspatialindex
+TARBALLNAME=spatialindex
+VERSION=${VERSION:-1.7.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xjvf $CWD/$TARBALLNAME-src-$VERSION.tar.bz2
+cd $TARBALLNAME-src-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL INSTALL.WIN NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/gis/libspatialindex/libspatialindex.info b/gis/libspatialindex/libspatialindex.info
new file mode 100644
index 0000000000..add4a3cdb9
--- /dev/null
+++ b/gis/libspatialindex/libspatialindex.info
@@ -0,0 +1,10 @@
+PRGNAM="libspatialindex"
+VERSION="1.7.1"
+HOMEPAGE="http://libspatialindex.github.com/"
+DOWNLOAD="http://download.osgeo.org/libspatialindex/spatialindex-src-1.7.1.tar.bz2"
+MD5SUM="15e5fcff393a56ab9aa7553e4a9cd64a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Alexander Bruy"
+EMAIL="alexander.bruy@gmail.com"
diff --git a/gis/libspatialindex/slack-desc b/gis/libspatialindex/slack-desc
new file mode 100644
index 0000000000..9056eb9703
--- /dev/null
+++ b/gis/libspatialindex/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libspatialindex: libspatialindex (extensible framework for spatial indexing methods)
+libspatialindex:
+libspatialindex: This library provides and An extensible framework that will support
+libspatialindex: robust spatial indexing methods and sophisticated spatial queries.
+libspatialindex:
+libspatialindex: Homepage: http://libspatialindex.github.com/
+libspatialindex:
+libspatialindex:
+libspatialindex:
+libspatialindex:
+libspatialindex: